Subject: RE: [bmwg] OSPF convergence terminology

From: "Manral, Vishwas" <[email-masked]>
Date: Wed, 19 Dec 2001 23:42:20 -0500

>greenberg's recent paper at isma showed that the biggest chunk of ospf
>settling time was updating the fib from the rib, an unexpected result.
Sorry for the late response. I work in a different time Zone(+5:30 GMT)

I have probably read the paper that you are refering to(we even had our
draft reviewed by both the authors of the paper before we got out the
version !!!), I feel that sending routes from rib to fib is not protocol
specific(so it would be more a matter of how that's implemented for all
protocols and not specific to OSPF) though I agree it would effect when OSPF
routes actually get used.

-Vishwas

_______________________________________________
bmwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/bmwg

---

From: Russ White <[email-masked]>
Date: Thu, 20 Dec 2001 07:34:44 -0500 (EST)

Agreed. I think it's valuable to measure both times, and both
times seperately (as well as possibly together). The reason is
that a lot of this sort of testing will be done for baselining,
not just single tests. So, if you see a marked increase/decrease
in "convergence time" (trying not to get into the war of words,
since I don't really care if it's "settling" or "convergence,"
although "settling is waht my dog does when he spins in circles
on his bed, and a router spinning in circles before lying down to
sleep for the night isn't exactly what I would think of when
thinking of the rib/fib being updated), you would want to know if
it was a change in the ospf code or a change in the rib/fib code,
no?

It's useful from an operations point of view to have both
numbers, and it's useful from a theory/implementation view to
have each numnber seperately, somehow. Happily, we can add the
seperate numbers together (in theory) and find the total number,
so measuring each individually shouldn't be an impediment to
getting the overall number.

:-)

Russ

> routes actually get used.

_____________________________
[email-masked] <>< Grace Alone

---

From: Russ White <[email-masked]>
Date: Thu, 20 Dec 2001 07:34:44 -0500 (EST)

:-)

Russ